Skip Menu |
 

This queue is for tickets about the RT-Extension-CommandByMail CPAN distribution.

Report information
The Basics
Id: 112899
Status: resolved
Priority: 0/
Queue: RT-Extension-CommandByMail

People
Owner: Nobody in particular
Requestors: ruben [...] via.de
Cc:
AdminCc:

Bug Information
Severity: (no value)
Broken in: (no value)
Fixed in: 2.01



Subject: RT-Extension-CommandByMail not rt 4.4 compatible
Date: Thu, 10 Mar 2016 12:05:54 +0100
To: bug-RT-Extension-CommandByMail [...] rt.cpan.org
From: Ruben Herold <ruben [...] via.de>
hi, please update the plugin to be compatible with rt version 4.4: * RT::Interface::Email no longer exports functions. * Incoming email now always creates users for the "From:" address. Previously, if the "CreateTicket" right was not granted to "Everyone" or "Unprivileged", the email would be rejected without a user; now, the user will be created even when the mail is rejected. * The "@MailPlugins" in RT_Config functionality has been rewritten; mail plugins written for previous versions of RT will not function as expected. See docs/extending/mail_plugins.pod * The $UnsafeEmailCommands option has been replaced with two mail plugins, RT::Interface::Email::Action::Take and RT::Interface::Email::Action::Resolve. -- Mit freundlichem Gruß Ruben Herold
Hi Ruben, A new version compatible with RT 4.4 is now on CPAN (2.01). Jim


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.